Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#12568 closed defect (fixed)

Cadastre FR Imagery Error

Reported by: anonymous Owned by: team
Priority: normal Milestone: 16.02
Component: Core imagery Version:
Keywords: template_report regression Cc: wiktorn, kolesar

Description

What steps will reproduce the problem?

  1. Add the Cadastre (FR) layer

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-25 01:51:43 +0100 (Thu, 25 Feb 2016)
Build-Date:2016-02-25 02:36:49
Revision:9881
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9881 fr) Windows XP 32-Bit
Memory Usage: 129 MB / 247 MB (24 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugins:
- FastDraw (31895)
- InfoMode (31772)
- SimplifyArea (31895)
- editgpx (31772)
- reverter (32005)
- turnrestrictions (31895)
- undelete (31895)
- utilsplugin2 (32018)

Last errors/warnings:
- E: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
	at java.util.ArrayList.rangeCheck(Unknown Source)
	at java.util.ArrayList.get(Unknown Source)
	at org.openstreetmap.josm.gui.layer.NativeScaleLayer$ScaleList.getSnapScale(NativeScaleLayer.java:153)
	at org.openstreetmap.josm.gui.NavigatableComponent.scaleSnap(NavigatableComponent.java:246)
	at org.openstreetmap.josm.gui.NavigatableComponent.scaleRound(NavigatableComponent.java:223)
	at org.openstreetmap.josm.gui.NavigatableComponent.setNativeScaleLayer(NavigatableComponent.java:166)
	at org.openstreetmap.josm.gui.MapView.addLayer(MapView.java:417)
	at org.openstreetmap.josm.Main.addLayer(Main.java:770)
	at org.openstreetmap.josm.Main.addLayer(Main.java:752)
	at org.openstreetmap.josm.Main.addLayer(Main.java:739)
	at org.openstreetmap.josm.actions.AddImageryLayerAction.actionPerformed(AddImageryLayerAction.java:84)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

It works with the 9811 version.

Attachments (0)

Change History (11)

comment:1 Changed 4 years ago by Don-vip

Keywords: regression added
Milestone: 16.02

comment:2 Changed 4 years ago by Don-vip

Cc: wiktorn kolesar added

regression from #12350

comment:3 Changed 4 years ago by Don-vip

this layer info has minzoom and maxzoom both set to 0.

comment:4 Changed 4 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 9883/josm:

fix #12568 - IndexOutOfBoundsException in NativeScaleLayer$ScaleList - regression from r9818

comment:5 Changed 4 years ago by kolesar

Thank you for the fix.

comment:6 Changed 4 years ago by anonymous

Hi,

I still get an error with r9884 :

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-26 17:12:48 +0100 (Fri, 26 Feb 2016)
Build-Date:2016-02-27 02:32:11
Revision:9884
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9884 fr) Windows XP 32-Bit
Memory Usage: 371 MB / 989 MB (250 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugins:
- FastDraw (31895)
- InfoMode (31772)
- SimplifyArea (31895)
- editgpx (31772)
- reverter (32005)
- turnrestrictions (31895)
- undelete (31895)
- utilsplugin2 (32018)

Last errors/warnings:
- E: java.lang.NullPointerException

java.lang.NullPointerException
	at org.openstreetmap.josm.gui.NavigatableComponent.scaleSnap(NavigatableComponent.java:246)
	at org.openstreetmap.josm.gui.NavigatableComponent.scaleRound(NavigatableComponent.java:223)
	at org.openstreetmap.josm.gui.NavigatableComponent.setNativeScaleLayer(NavigatableComponent.java:166)
	at org.openstreetmap.josm.gui.MapView.addLayer(MapView.java:417)
	at org.openstreetmap.josm.Main.addLayer(Main.java:770)
	at org.openstreetmap.josm.Main.addLayer(Main.java:752)
	at org.openstreetmap.josm.Main.addLayer(Main.java:739)
	at org.openstreetmap.josm.actions.AddImageryLayerAction.actionPerformed(AddImageryLayerAction.java:84)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:7 Changed 4 years ago by anonymous

Resolution: fixed
Status: closedreopened

comment:8 Changed 4 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 9893/josm:

fix #12568 - NPE

comment:9 Changed 4 years ago by anonymous

Resolution: fixed
Status: closedreopened

Hi, thank you for the fixes, unfortunately i get another NPE when adding the layer and then zooming (in or out) with the mouse wheel

(I don't know if i should open another ticket. Correct me if i'm wrong to reopen this one)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-28 01:09:49 +0100 (Sun, 28 Feb 2016)
Build-Date:2016-02-28 02:33:05
Revision:9895
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9895 fr) Windows XP 32-Bit
Memory Usage: 371 MB / 989 MB (240 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM

Plugins:
- FastDraw (31895)
- InfoMode (31772)
- SimplifyArea (31895)
- editgpx (31772)
- reverter (32005)
- turnrestrictions (31895)
- undelete (31895)
- utilsplugin2 (32018)

Last errors/warnings:
- E: java.lang.NullPointerException

java.lang.NullPointerException
	at org.openstreetmap.josm.gui.layer.NativeScaleLayer$ScaleList.getNextIn(NativeScaleLayer.java:250)
	at org.openstreetmap.josm.gui.layer.NativeScaleLayer$ScaleList.scaleZoomTimes(NativeScaleLayer.java:208)
	at org.openstreetmap.josm.gui.NavigatableComponent.scaleZoomManyTimes(NavigatableComponent.java:208)
	at org.openstreetmap.josm.gui.NavigatableComponent.zoomManyTimes(NavigatableComponent.java:643)
	at org.openstreetmap.josm.gui.MapMover.mouseWheelMoved(MapMover.java:245)
	at java.awt.Component.processMouseWheelEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:10 Changed 4 years ago by wiktorn

Resolution: fixed
Status: reopenedclosed

In 9897/josm:

Use maximum/minimum supported zoom levels for native scale calculations.

Use maximum/minimum supported zoom levels for native scale calculations instead
of layer defined. Closes: #12568

comment:11 Changed 4 years ago by wiktorn

In 9899/josm:

Use one static instance of NativeScaleLayer for all TMS layers.

See: #12568

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.